<?php

namespace App\Http\Requests;

use App\Models\RtoOffic;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyRtoOfficRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('rto_offic_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:rto_offics,id',
        ];
    }
}
