<?php

namespace App\Http\Requests;

use App\Models\ServiceCategory;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreServiceCategoryRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('service_category_create');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
                'unique:service_categories',
            ],
            'slug' => [
                'string',
                'required',
                'unique:service_categories',
            ],
            'icon' => [
                'required',
            ],
            'status' => [
                'required',
            ],
        ];
    }
}
