<?php

namespace App\Http\Requests;

use App\Models\ServiceSubCategory;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreServiceSubCategoryRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('service_sub_category_create');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
                'unique:service_sub_categories',
            ],
            'slug' => [
                'string',
                'required',
                'unique:service_sub_categories',
            ],
            'icon' => [
                'required',
            ],
            'status' => [
                'required',
            ],
            'service_category_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
