<?php

namespace App\Http\Requests;

use App\Models\RtoOffic;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateRtoOfficRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('rto_offic_edit');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
            ],
            'code' => [
                'string',
                'required',
            ],
            'state_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
