<?php

namespace App\Http\Requests;

use App\Models\SellMembership;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateSellMembershipRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('sell_membership_edit');
    }

    public function rules()
    {
        return [
            'type' => [
                'string',
                'nullable',
            ],
            'monthly' => [
                'string',
                'nullable',
            ],
            'yearly' => [
                'string',
                'nullable',
            ],
            'base_price' => [
                'string',
                'nullable',
            ],
            'discounted_price' => [
                'string',
                'nullable',
            ],
            'description' => [
                'required',
            ],
        ];
    }
}
