<?php

namespace App\Http\Requests;

use App\Models\ServiceSubCategory;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateServiceSubCategoryRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('service_sub_category_edit');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
                'unique:service_sub_categories,name,' . request()->route('service_sub_category')->id,
            ],
            'slug' => [
                'string',
                'required',
                'unique:service_sub_categories,slug,' . request()->route('service_sub_category')->id,
            ],
            'icon' => [
                'required',
            ],
            'status' => [
                'required',
            ],
            'service_category_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
