<?php

namespace App\Http\Requests;

use App\Models\Shop;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateShopRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('shop_edit');
    }

    public function rules()
    {
        return [
            'category_id' => [
                'required',
                'integer',
            ],
            'sub_category_id' => [
                'required',
                'integer',
            ],
            'brands_id' => [
                'required',
                'integer',
            ],
            'open_time' => [
                'string',
                'required',
            ],
            'close_time' => [
                'string',
                'required',
            ],
            'holidays' => [
                'required',
            ],
            'state' => [
                'string',
                'required',
            ],
            'city' => [
                'string',
                'required',
            ],
            'location' => [
                'string',
                'required',
            ],
            'pincode' => [
                'string',
                'required',
            ],
            'address' => [
                'string',
                'required',
            ],
            'aboutus' => [
                'required',
            ],
            'images' => [
                'array',
                'required',
            ],
            'images.*' => [
                'required',
            ],
        ];
    }
}
