<?php

namespace App\Http\Requests;

use App\Models\Vehicle;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateVehicleRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('vehicle_edit');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
            ],
            'category_id' => [
                'required',
                'integer',
            ],
            'attribute' => [
                'string',
                'nullable',
            ],
            'photos' => [
                'array',
            ],
            'vehicle_price' => [
                'numeric',
            ],
            'state' => [
                'string',
                'required',
            ],
            'city' => [
                'string',
                'required',
            ],
            'pincode' => [
                'string',
                'required',
            ],
            'registration_no' => [
                'string',
                'nullable',
            ],
            'lat' => [
                'numeric',
            ],
            'long' => [
                'numeric',
            ],
            'location' => [
                'string',
                'nullable',
            ],
            'status' => [
                'required',
            ],
            'shops_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
