<?php

namespace App\Models;

use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class Favourite extends Model
{
    use SoftDeletes,HasFactory;

    public $table = 'favourites';
    protected $fillable = [
        'user_id',
        'shop_id',
        'vehicle_id',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function shops()
    {
        return $this->hasOne(Shop::class);
    }

    public function vehicle()
    {
        return $this->hasOne(Vehicle::class);
    }
}
