<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 2,
                'title' => 'permission_create',
            ],
            [
                'id'    => 3,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 4,
                'title' => 'permission_show',
            ],
            [
                'id'    => 5,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 6,
                'title' => 'permission_access',
            ],
            [
                'id'    => 7,
                'title' => 'role_create',
            ],
            [
                'id'    => 8,
                'title' => 'role_edit',
            ],
            [
                'id'    => 9,
                'title' => 'role_show',
            ],
            [
                'id'    => 10,
                'title' => 'role_delete',
            ],
            [
                'id'    => 11,
                'title' => 'role_access',
            ],
            [
                'id'    => 12,
                'title' => 'user_create',
            ],
            [
                'id'    => 13,
                'title' => 'user_edit',
            ],
            [
                'id'    => 14,
                'title' => 'user_show',
            ],
            [
                'id'    => 15,
                'title' => 'user_delete',
            ],
            [
                'id'    => 16,
                'title' => 'user_access',
            ],
            [
                'id'    => 17,
                'title' => 'service_access',
            ],
            [
                'id'    => 18,
                'title' => 'sell_access',
            ],
            [
                'id'    => 19,
                'title' => 'category_create',
            ],
            [
                'id'    => 20,
                'title' => 'category_edit',
            ],
            [
                'id'    => 21,
                'title' => 'category_show',
            ],
            [
                'id'    => 22,
                'title' => 'category_delete',
            ],
            [
                'id'    => 23,
                'title' => 'category_access',
            ],
            [
                'id'    => 24,
                'title' => 'sub_category_create',
            ],
            [
                'id'    => 25,
                'title' => 'sub_category_edit',
            ],
            [
                'id'    => 26,
                'title' => 'sub_category_show',
            ],
            [
                'id'    => 27,
                'title' => 'sub_category_delete',
            ],
            [
                'id'    => 28,
                'title' => 'sub_category_access',
            ],
            [
                'id'    => 29,
                'title' => 'type_create',
            ],
            [
                'id'    => 30,
                'title' => 'type_edit',
            ],
            [
                'id'    => 31,
                'title' => 'type_show',
            ],
            [
                'id'    => 32,
                'title' => 'type_delete',
            ],
            [
                'id'    => 33,
                'title' => 'type_access',
            ],
            [
                'id'    => 34,
                'title' => 'attribute_create',
            ],
            [
                'id'    => 35,
                'title' => 'attribute_edit',
            ],
            [
                'id'    => 36,
                'title' => 'attribute_show',
            ],
            [
                'id'    => 37,
                'title' => 'attribute_delete',
            ],
            [
                'id'    => 38,
                'title' => 'attribute_access',
            ],
            [
                'id'    => 39,
                'title' => 'vehicle_create',
            ],
            [
                'id'    => 40,
                'title' => 'vehicle_edit',
            ],
            [
                'id'    => 41,
                'title' => 'vehicle_show',
            ],
            [
                'id'    => 42,
                'title' => 'vehicle_delete',
            ],
            [
                'id'    => 43,
                'title' => 'vehicle_access',
            ],
            [
                'id'    => 44,
                'title' => 'service_category_create',
            ],
            [
                'id'    => 45,
                'title' => 'service_category_edit',
            ],
            [
                'id'    => 46,
                'title' => 'service_category_show',
            ],
            [
                'id'    => 47,
                'title' => 'service_category_delete',
            ],
            [
                'id'    => 48,
                'title' => 'service_category_access',
            ],
            [
                'id'    => 49,
                'title' => 'service_sub_category_create',
            ],
            [
                'id'    => 50,
                'title' => 'service_sub_category_edit',
            ],
            [
                'id'    => 51,
                'title' => 'service_sub_category_show',
            ],
            [
                'id'    => 52,
                'title' => 'service_sub_category_delete',
            ],
            [
                'id'    => 53,
                'title' => 'service_sub_category_access',
            ],
            [
                'id'    => 54,
                'title' => 'add_service_create',
            ],
            [
                'id'    => 55,
                'title' => 'add_service_edit',
            ],
            [
                'id'    => 56,
                'title' => 'add_service_show',
            ],
            [
                'id'    => 57,
                'title' => 'add_service_delete',
            ],
            [
                'id'    => 58,
                'title' => 'add_service_access',
            ],
            [
                'id'    => 59,
                'title' => 'membership_access',
            ],
            [
                'id'    => 60,
                'title' => 'sell_membership_create',
            ],
            [
                'id'    => 61,
                'title' => 'sell_membership_edit',
            ],
            [
                'id'    => 62,
                'title' => 'sell_membership_show',
            ],
            [
                'id'    => 63,
                'title' => 'sell_membership_delete',
            ],
            [
                'id'    => 64,
                'title' => 'sell_membership_access',
            ],
            [
                'id'    => 65,
                'title' => 'service_membership_create',
            ],
            [
                'id'    => 66,
                'title' => 'service_membership_edit',
            ],
            [
                'id'    => 67,
                'title' => 'service_membership_show',
            ],
            [
                'id'    => 68,
                'title' => 'service_membership_delete',
            ],
            [
                'id'    => 69,
                'title' => 'service_membership_access',
            ],
            [
                'id'    => 70,
                'title' => 'rto_list_access',
            ],
            [
                'id'    => 71,
                'title' => 'state_create',
            ],
            [
                'id'    => 72,
                'title' => 'state_edit',
            ],
            [
                'id'    => 73,
                'title' => 'state_show',
            ],
            [
                'id'    => 74,
                'title' => 'state_delete',
            ],
            [
                'id'    => 75,
                'title' => 'state_access',
            ],
            [
                'id'    => 76,
                'title' => 'rto_offic_create',
            ],
            [
                'id'    => 77,
                'title' => 'rto_offic_edit',
            ],
            [
                'id'    => 78,
                'title' => 'rto_offic_show',
            ],
            [
                'id'    => 79,
                'title' => 'rto_offic_delete',
            ],
            [
                'id'    => 80,
                'title' => 'rto_offic_access',
            ],
            [
                'id'    => 81,
                'title' => 'setting_access',
            ],
            [
                'id'    => 82,
                'title' => 'page_create',
            ],
            [
                'id'    => 83,
                'title' => 'page_edit',
            ],
            [
                'id'    => 84,
                'title' => 'page_show',
            ],
            [
                'id'    => 85,
                'title' => 'page_delete',
            ],
            [
                'id'    => 86,
                'title' => 'page_access',
            ],
            [
                'id'    => 87,
                'title' => 'brand_create',
            ],
            [
                'id'    => 88,
                'title' => 'brand_edit',
            ],
            [
                'id'    => 89,
                'title' => 'brand_show',
            ],
            [
                'id'    => 90,
                'title' => 'brand_delete',
            ],
            [
                'id'    => 91,
                'title' => 'brand_access',
            ],
            [
                'id'    => 92,
                'title' => 'subscription_create',
            ],
            [
                'id'    => 93,
                'title' => 'subscription_edit',
            ],
            [
                'id'    => 94,
                'title' => 'subscription_show',
            ],
            [
                'id'    => 95,
                'title' => 'subscription_delete',
            ],
            [
                'id'    => 96,
                'title' => 'subscription_access',
            ],
            [
                'id'    => 97,
                'title' => 'shop_create',
            ],
            [
                'id'    => 98,
                'title' => 'shop_edit',
            ],
            [
                'id'    => 99,
                'title' => 'shop_show',
            ],
            [
                'id'    => 100,
                'title' => 'shop_delete',
            ],
            [
                'id'    => 101,
                'title' => 'shop_access',
            ],
            [
                'id'    => 102,
                'title' => 'other_detail_create',
            ],
            [
                'id'    => 103,
                'title' => 'other_detail_edit',
            ],
            [
                'id'    => 104,
                'title' => 'other_detail_show',
            ],
            [
                'id'    => 105,
                'title' => 'other_detail_delete',
            ],
            [
                'id'    => 106,
                'title' => 'other_detail_access',
            ],
            [
                'id'    => 107,
                'title' => 'banner_create',
            ],
            [
                'id'    => 108,
                'title' => 'banner_edit',
            ],
            [
                'id'    => 109,
                'title' => 'banner_show',
            ],
            [
                'id'    => 110,
                'title' => 'banner_delete',
            ],
            [
                'id'    => 111,
                'title' => 'banner_access',
            ],
            [
                'id'    => 112,
                'title' => 'profile_password_edit',
            ],
        ];

        Permission::insert($permissions);
    }
}
