@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.otherDetail.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.other-details.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.otherDetail.fields.id') }}
                        </th>
                        <td>
                            {{ $otherDetail->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.otherDetail.fields.name') }}
                        </th>
                        <td>
                            {{ $otherDetail->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.otherDetail.fields.icon') }}
                        </th>
                        <td>
                            @if($otherDetail->icon)
                                <a href="{{ $otherDetail->icon->getUrl() }}" target="_blank" style="display: inline-block">
                                    <img src="{{ $otherDetail->icon->getUrl('thumb') }}">
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.otherDetail.fields.status') }}
                        </th>
                        <td>
                            {{ App\Models\OtherDetail::STATUS_SELECT[$otherDetail->status] ?? '' }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.other-details.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection