<div class="m-3">
    @can('service_sub_category_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('admin.service-sub-categories.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.serviceSubCategory.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.serviceSubCategory.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-serviceCategoryServiceSubCategories">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.name') }}
                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.slug') }}
                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.icon') }}
                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.status') }}
                            </th>
                            <th>
                                {{ trans('cruds.serviceSubCategory.fields.service_category') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($serviceSubCategories as $key => $serviceSubCategory)
                            <tr data-entry-id="{{ $serviceSubCategory->id }}">
                                <td>

                                </td>
                                <td>
                                    {{ $serviceSubCategory->id ?? '' }}
                                </td>
                                <td>
                                    {{ $serviceSubCategory->name ?? '' }}
                                </td>
                                <td>
                                    {{ $serviceSubCategory->slug ?? '' }}
                                </td>
                                <td>
                                    @if($serviceSubCategory->icon)
                                        <a href="{{ $serviceSubCategory->icon->getUrl() }}" target="_blank" style="display: inline-block">
                                            <img src="{{ $serviceSubCategory->icon->getUrl('thumb') }}">
                                        </a>
                                    @endif
                                </td>
                                <td>
                                    {{ App\Models\ServiceSubCategory::STATUS_SELECT[$serviceSubCategory->status] ?? '' }}
                                </td>
                                <td>
                                    {{ $serviceSubCategory->service_category->name ?? '' }}
                                </td>
                                <td>
                                    @can('service_sub_category_show')
                                        <a class="btn btn-xs btn-primary" href="{{ route('admin.service-sub-categories.show', $serviceSubCategory->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('service_sub_category_edit')
                                        <a class="btn btn-xs btn-info" href="{{ route('admin.service-sub-categories.edit', $serviceSubCategory->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('service_sub_category_delete')
                                        <form action="{{ route('admin.service-sub-categories.destroy', $serviceSubCategory->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('service_sub_category_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.service-sub-categories.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-serviceCategoryServiceSubCategories:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection