@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.serviceCategory.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.service-categories.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceCategory.fields.id') }}
                        </th>
                        <td>
                            {{ $serviceCategory->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceCategory.fields.name') }}
                        </th>
                        <td>
                            {{ $serviceCategory->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceCategory.fields.slug') }}
                        </th>
                        <td>
                            {{ $serviceCategory->slug }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceCategory.fields.icon') }}
                        </th>
                        <td>
                            @if($serviceCategory->icon)
                                <a href="{{ $serviceCategory->icon->getUrl() }}" target="_blank" style="display: inline-block">
                                    <img src="{{ $serviceCategory->icon->getUrl('thumb') }}">
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceCategory.fields.status') }}
                        </th>
                        <td>
                            {{ App\Models\ServiceCategory::STATUS_SELECT[$serviceCategory->status] ?? '' }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.service-categories.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-header">
        {{ trans('global.relatedData') }}
    </div>
    <ul class="nav nav-tabs" role="tablist" id="relationship-tabs">
        <li class="nav-item">
            <a class="nav-link" href="#service_category_service_sub_categories" role="tab" data-toggle="tab">
                {{ trans('cruds.serviceSubCategory.title') }}
            </a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane" role="tabpanel" id="service_category_service_sub_categories">
            @includeIf('admin.serviceCategories.relationships.serviceCategoryServiceSubCategories', ['serviceSubCategories' => $serviceCategory->serviceCategoryServiceSubCategories])
        </div>
    </div>
</div>

@endsection