@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.serviceMembership.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.service-memberships.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="type">{{ trans('cruds.serviceMembership.fields.type') }}</label>
                <input class="form-control {{ $errors->has('type') ? 'is-invalid' : '' }}" type="text" name="type" id="type" value="{{ old('type', '') }}">
                @if($errors->has('type'))
                    <span class="text-danger">{{ $errors->first('type') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.type_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="monthly">{{ trans('cruds.serviceMembership.fields.monthly') }}</label>
                <input class="form-control {{ $errors->has('monthly') ? 'is-invalid' : '' }}" type="text" name="monthly" id="monthly" value="{{ old('monthly', '') }}">
                @if($errors->has('monthly'))
                    <span class="text-danger">{{ $errors->first('monthly') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.monthly_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="yearly">{{ trans('cruds.serviceMembership.fields.yearly') }}</label>
                <input class="form-control {{ $errors->has('yearly') ? 'is-invalid' : '' }}" type="text" name="yearly" id="yearly" value="{{ old('yearly', '') }}">
                @if($errors->has('yearly'))
                    <span class="text-danger">{{ $errors->first('yearly') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.yearly_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="base_price">{{ trans('cruds.serviceMembership.fields.base_price') }}</label>
                <input class="form-control {{ $errors->has('base_price') ? 'is-invalid' : '' }}" type="text" name="base_price" id="base_price" value="{{ old('base_price', '') }}">
                @if($errors->has('base_price'))
                    <span class="text-danger">{{ $errors->first('base_price') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.base_price_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="discounted_price">{{ trans('cruds.serviceMembership.fields.discounted_price') }}</label>
                <input class="form-control {{ $errors->has('discounted_price') ? 'is-invalid' : '' }}" type="text" name="discounted_price" id="discounted_price" value="{{ old('discounted_price', '') }}">
                @if($errors->has('discounted_price'))
                    <span class="text-danger">{{ $errors->first('discounted_price') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.discounted_price_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="description">{{ trans('cruds.serviceMembership.fields.description') }}</label>
                <input class="form-control {{ $errors->has('description') ? 'is-invalid' : '' }}" type="text" name="description" id="description" value="{{ old('description', '') }}">
                @if($errors->has('description'))
                    <span class="text-danger">{{ $errors->first('description') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.description_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required">{{ trans('cruds.serviceMembership.fields.status') }}</label>
                <select class="form-control {{ $errors->has('status') ? 'is-invalid' : '' }}" name="status" id="status" required>
                    <option value disabled {{ old('status', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\ServiceMembership::STATUS_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('status', '1') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('status'))
                    <span class="text-danger">{{ $errors->first('status') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.serviceMembership.fields.status_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection