@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.serviceSubCategory.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.service-sub-categories.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.id') }}
                        </th>
                        <td>
                            {{ $serviceSubCategory->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.name') }}
                        </th>
                        <td>
                            {{ $serviceSubCategory->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.slug') }}
                        </th>
                        <td>
                            {{ $serviceSubCategory->slug }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.icon') }}
                        </th>
                        <td>
                            @if($serviceSubCategory->icon)
                                <a href="{{ $serviceSubCategory->icon->getUrl() }}" target="_blank" style="display: inline-block">
                                    <img src="{{ $serviceSubCategory->icon->getUrl('thumb') }}">
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.status') }}
                        </th>
                        <td>
                            {{ App\Models\ServiceSubCategory::STATUS_SELECT[$serviceSubCategory->status] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.serviceSubCategory.fields.service_category') }}
                        </th>
                        <td>
                            {{ $serviceSubCategory->service_category->name ?? '' }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.service-sub-categories.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection