@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.subscription.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.subscriptions.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label class="required" for="user_id">{{ trans('cruds.subscription.fields.user') }}</label>
                <select class="form-control select2 {{ $errors->has('user') ? 'is-invalid' : '' }}" name="user_id" id="user_id" required>
                    @foreach($users as $id => $entry)
                        <option value="{{ $id }}" {{ old('user_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('user'))
                    <span class="text-danger">{{ $errors->first('user') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.subscription.fields.user_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="sell_membership_id">{{ trans('cruds.subscription.fields.sell_membership') }}</label>
                <select class="form-control select2 {{ $errors->has('sell_membership') ? 'is-invalid' : '' }}" name="sell_membership_id" id="sell_membership_id">
                    @foreach($sell_memberships as $id => $entry)
                        <option value="{{ $id }}" {{ old('sell_membership_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('sell_membership'))
                    <span class="text-danger">{{ $errors->first('sell_membership') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.subscription.fields.sell_membership_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="service_membership_id">{{ trans('cruds.subscription.fields.service_membership') }}</label>
                <select class="form-control select2 {{ $errors->has('service_membership') ? 'is-invalid' : '' }}" name="service_membership_id" id="service_membership_id">
                    @foreach($service_memberships as $id => $entry)
                        <option value="{{ $id }}" {{ old('service_membership_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('service_membership'))
                    <span class="text-danger">{{ $errors->first('service_membership') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.subscription.fields.service_membership_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="transaction">{{ trans('cruds.subscription.fields.transaction') }}</label>
                <input class="form-control {{ $errors->has('transaction') ? 'is-invalid' : '' }}" type="text" name="transaction" id="transaction" value="{{ old('transaction', '') }}" required>
                @if($errors->has('transaction'))
                    <span class="text-danger">{{ $errors->first('transaction') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.subscription.fields.transaction_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="payment_status">{{ trans('cruds.subscription.fields.payment_status') }}</label>
                <input class="form-control {{ $errors->has('payment_status') ? 'is-invalid' : '' }}" type="text" name="payment_status" id="payment_status" value="{{ old('payment_status', '') }}" required>
                @if($errors->has('payment_status'))
                    <span class="text-danger">{{ $errors->first('payment_status') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.subscription.fields.payment_status_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection