<?php

Route::redirect('/', '/login');
Route::get('/home', function () {
    if (session('status')) {
        return redirect()->route('admin.home')->with('status', session('status'));
    }

    return redirect()->route('admin.home');
});

Auth::routes(['register' => false]);
Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');
    // Permissions
    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');
    Route::resource('permissions', 'PermissionsController');

    // Roles
    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');
    Route::resource('roles', 'RolesController');
    Route::post('getAttributes','VehicleController@getAttributes')->name('getAttributes');

    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::resource('users', 'UsersController');

    // Category
    Route::delete('categories/destroy', 'CategoryController@massDestroy')->name('categories.massDestroy');
    Route::post('categories/media', 'CategoryController@storeMedia')->name('categories.storeMedia');
    Route::post('categories/ckmedia', 'CategoryController@storeCKEditorImages')->name('categories.storeCKEditorImages');
    Route::resource('categories', 'CategoryController');

    // Sub Category
    Route::delete('sub-categories/destroy', 'SubCategoryController@massDestroy')->name('sub-categories.massDestroy');
    Route::post('sub-categories/media', 'SubCategoryController@storeMedia')->name('sub-categories.storeMedia');
    Route::post('sub-categories/ckmedia', 'SubCategoryController@storeCKEditorImages')->name('sub-categories.storeCKEditorImages');
    Route::resource('sub-categories', 'SubCategoryController');

    // Type
    Route::delete('types/destroy', 'TypeController@massDestroy')->name('types.massDestroy');
    Route::resource('types', 'TypeController');

    // Attribute
    Route::delete('attributes/destroy', 'AttributeController@massDestroy')->name('attributes.massDestroy');
    Route::resource('attributes', 'AttributeController');

    // Vehicle
    Route::delete('vehicles/destroy', 'VehicleController@massDestroy')->name('vehicles.massDestroy');
    Route::post('vehicles/media', 'VehicleController@storeMedia')->name('vehicles.storeMedia');
    Route::post('vehicles/ckmedia', 'VehicleController@storeCKEditorImages')->name('vehicles.storeCKEditorImages');
    Route::post('vehicles/parse-csv-import', 'VehicleController@parseCsvImport')->name('vehicles.parseCsvImport');
    Route::post('vehicles/process-csv-import', 'VehicleController@processCsvImport')->name('vehicles.processCsvImport');
    Route::resource('vehicles', 'VehicleController');

    // Service Category
    Route::delete('service-categories/destroy', 'ServiceCategoryController@massDestroy')->name('service-categories.massDestroy');
    Route::post('service-categories/media', 'ServiceCategoryController@storeMedia')->name('service-categories.storeMedia');
    Route::post('service-categories/ckmedia', 'ServiceCategoryController@storeCKEditorImages')->name('service-categories.storeCKEditorImages');
    Route::resource('service-categories', 'ServiceCategoryController');

    // Service Sub Category
    Route::delete('service-sub-categories/destroy', 'ServiceSubCategoryController@massDestroy')->name('service-sub-categories.massDestroy');
    Route::post('service-sub-categories/media', 'ServiceSubCategoryController@storeMedia')->name('service-sub-categories.storeMedia');
    Route::post('service-sub-categories/ckmedia', 'ServiceSubCategoryController@storeCKEditorImages')->name('service-sub-categories.storeCKEditorImages');
    Route::resource('service-sub-categories', 'ServiceSubCategoryController');

    // Add Service
    Route::delete('add-services/destroy', 'AddServiceController@massDestroy')->name('add-services.massDestroy');
    Route::resource('add-services', 'AddServiceController');

    // Sell Membership
    Route::delete('sell-memberships/destroy', 'SellMembershipController@massDestroy')->name('sell-memberships.massDestroy');
    Route::post('sell-memberships/media', 'SellMembershipController@storeMedia')->name('sell-memberships.storeMedia');
    Route::post('sell-memberships/ckmedia', 'SellMembershipController@storeCKEditorImages')->name('sell-memberships.storeCKEditorImages');
    Route::resource('sell-memberships', 'SellMembershipController');

        // Banner
    Route::delete('banners/destroy', 'BannerController@massDestroy')->name('banners.massDestroy');
    Route::post('banners/media', 'BannerController@storeMedia')->name('banners.storeMedia');
    Route::post('banners/ckmedia', 'BannerController@storeCKEditorImages')->name('banners.storeCKEditorImages');
    Route::resource('banners', 'BannerController');

    // Service Membership
    Route::delete('service-memberships/destroy', 'ServiceMembershipController@massDestroy')->name('service-memberships.massDestroy');
    Route::resource('service-memberships', 'ServiceMembershipController');

    // State
    Route::delete('states/destroy', 'StateController@massDestroy')->name('states.massDestroy');
    Route::resource('states', 'StateController');

    // Rto Offic
    Route::delete('rto-offics/destroy', 'RtoOfficController@massDestroy')->name('rto-offics.massDestroy');
    Route::resource('rto-offics', 'RtoOfficController');

    // Pages
    Route::delete('pages/destroy', 'PagesController@massDestroy')->name('pages.massDestroy');
    Route::post('pages/media', 'PagesController@storeMedia')->name('pages.storeMedia');
    Route::post('pages/ckmedia', 'PagesController@storeCKEditorImages')->name('pages.storeCKEditorImages');
    Route::resource('pages', 'PagesController');

    // Brand
    Route::delete('brands/destroy', 'BrandController@massDestroy')->name('brands.massDestroy');
    Route::post('brands/media', 'BrandController@storeMedia')->name('brands.storeMedia');
    Route::post('brands/ckmedia', 'BrandController@storeCKEditorImages')->name('brands.storeCKEditorImages');
    Route::resource('brands', 'BrandController');

    // Subscriptions
    Route::delete('subscriptions/destroy', 'SubscriptionsController@massDestroy')->name('subscriptions.massDestroy');
    Route::resource('subscriptions', 'SubscriptionsController');

    // Shop
    Route::delete('shops/destroy', 'ShopController@massDestroy')->name('shops.massDestroy');
    Route::post('shops/media', 'ShopController@storeMedia')->name('shops.storeMedia');
    Route::post('shops/ckmedia', 'ShopController@storeCKEditorImages')->name('shops.storeCKEditorImages');
    Route::resource('shops', 'ShopController');

    // Other Detail
    Route::delete('other-details/destroy', 'OtherDetailController@massDestroy')->name('other-details.massDestroy');
    Route::post('other-details/media', 'OtherDetailController@storeMedia')->name('other-details.storeMedia');
    Route::post('other-details/ckmedia', 'OtherDetailController@storeCKEditorImages')->name('other-details.storeCKEditorImages');
    Route::resource('other-details', 'OtherDetailController');

    Route::get('global-search', 'GlobalSearchController@search')->name('globalSearch');
});
Route::group(['prefix' => 'profile', 'as' => 'profile.', 'namespace' => 'Auth', 'middleware' => ['auth']], function () {
    // Change password
    if (file_exists(app_path('Http/Controllers/Auth/ChangePasswordController.php'))) {
        Route::get('password', 'ChangePasswordController@edit')->name('password.edit');
        Route::post('password', 'ChangePasswordController@update')->name('password.update');
        Route::post('profile', 'ChangePasswordController@updateProfile')->name('password.updateProfile');
        Route::post('profile/destroy', 'ChangePasswordController@destroy')->name('password.destroyProfile');
    }
});
