<?php $__env->startSection('content'); ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('vehicle_create')): ?>
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="<?php echo e(route('admin.vehicles.create')); ?>">
                <?php echo e(trans('global.add')); ?> <?php echo e(trans('cruds.vehicle.title_singular')); ?>

            </a>
            <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                <?php echo e(trans('global.app_csvImport')); ?>

            </button>
            <?php echo $__env->make('csvImport.modal', ['model' => 'Vehicle', 'route' => 'admin.vehicles.parseCsvImport'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
<?php endif; ?>
<div class="card">
    <div class="card-header">
        <?php echo e(trans('cruds.vehicle.title_singular')); ?> <?php echo e(trans('global.list')); ?>

    </div>

    <div class="card-body">
        <table class=" table table-bordered table-striped table-hover ajaxTable datatable datatable-Vehicle">
            <thead>
                <tr>
                    <th width="10">

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.id')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.name')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.category')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.subcategory')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.vehicle_price')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.state')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.registration_no')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.status')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.user')); ?>

                    </th>
                    <th>
                        <?php echo e(trans('cruds.vehicle.fields.shops')); ?>

                    </th>
                    <th>
                        &nbsp;
                    </th>
                </tr>
            </thead>
        </table>
    </div>
</div>



<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<?php echo \Illuminate\View\Factory::parentPlaceholder('scripts'); ?>
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('vehicle_delete')): ?>
  let deleteButtonTrans = '<?php echo e(trans('global.datatables.delete')); ?>';
  let deleteButton = {
    text: deleteButtonTrans,
    url: "<?php echo e(route('admin.vehicles.massDestroy')); ?>",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).data(), function (entry) {
          return entry.id
      });

      if (ids.length === 0) {
        alert('<?php echo e(trans('global.datatables.zero_selected')); ?>')

        return
      }

      if (confirm('<?php echo e(trans('global.areYouSure')); ?>')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
<?php endif; ?>

  let dtOverrideGlobals = {
    buttons: dtButtons,
    processing: true,
    serverSide: true,
    retrieve: true,
    aaSorting: [],
    ajax: "<?php echo e(route('admin.vehicles.index')); ?>",
    columns: [
      { data: 'placeholder', name: 'placeholder' },
{ data: 'id', name: 'id' },
{ data: 'name', name: 'name' },
{ data: 'category_name', name: 'category.name' },
{ data: 'subcategory_subcategory', name: 'subcategory.subcategory' },
{ data: 'vehicle_price', name: 'vehicle_price' },
{ data: 'state', name: 'state' },
{ data: 'registration_no', name: 'registration_no' },
{ data: 'status', name: 'status' },
{ data: 'user_name', name: 'user.name' },
{ data: 'shops_open_time', name: 'shops.open_time' },
{ data: 'actions', name: '<?php echo e(trans('global.actions')); ?>' }
    ],
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  };
  let table = $('.datatable-Vehicle').DataTable(dtOverrideGlobals);
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
});

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\company_projects\autog\resources\views/admin/vehicles/index.blade.php ENDPATH**/ ?>